"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const names = ["", "Good", "Fair", "Moderate", "Poor", "Very Poor"];
function listParser(data, limit) {
    if (!data.list)
        return [];
    let parsedList = [];
    for (let i = 0; i < limit && i < data.list.length; i++) {
        const element = data.list[i];
        parsedList.push({
            lat: data.coord.lat,
            lon: data.coord.lon,
            dt: new Date(element.dt * 1000),
            dtRaw: element.dt,
            aqi: element.main.aqi,
            aqiName: names[element.main.aqi],
            components: { ...element.components },
        });
    }
    return parsedList;
}
exports.default = listParser;
