"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function minutelyParser(data, limit) {
    if (!data.minutely)
        return [];
    let parsedMinutely = [];
    for (let i = 0; i < limit && i < data.minutely.length; i++) {
        const element = data.minutely[i];
        parsedMinutely.push({
            lat: data.lat,
            lon: data.lon,
            dt: new Date(element.dt * 1000),
            dtRaw: element.dt,
            timezone: data.timezone,
            timezoneOffset: data.timezone_offset,
            weather: {
                rain: element.precipitation,
                feelsLike: {},
                icon: {},
                temp: {},
                wind: {},
            },
            astronomical: {},
        });
    }
    return parsedMinutely;
}
exports.default = minutelyParser;
